extends Object
class_name SummerDayTool

var priority = 0
var modifier_layer = 0


func _handle_global_input(event: InputEvent): # Virtual.
	pass


func _check_for_use(event: InputEvent) -> bool: # Virtual.
	return false


func _run(event: InputEvent): # Virtual.
	pass


func get_priority_score() -> int:
	return priority * 4 + modifier_layer
